<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Plan_Prepago.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">plans</a> &gt; <span class="el_source">Plan_Prepago.java</span></div><h1>Plan_Prepago.java</h1><pre class="source lang-java linenums">package plans;

import java.io.Serializable;

<span class="fc" id="L5">public class Plan_Prepago implements IPlan,Serializable{</span>
	static final long serialVersionUID = -2555170365942325277L;
	private static final double NORMAL_PRICE = 1.45;
	private static final double REDUCE_PRICE = 0.95;
	private static final double SUPER_REDUCE_PRICE = 0.70;

	//RANGO TARIFA NORMAL
	private static final String INITIAL_HOUR_NORMAL_PRICE = &quot;06:59:59&quot; ;
	private static final String FINAL_HOUR_NORMAL_PRICE = &quot;21:00:00&quot; ;

	//RANGO TARIFA REDUCIDA
	private static final String INITIAL_HOUR_REDUCE_PRICE = &quot;20:59:59&quot; ;
	private static final String FINAL_HOUR_REDUCE_PRICE = &quot;01:00:00&quot; ;

	//RANGO TARIFA SUPER_REDUCIDA
	private static final String INITIAL_HOUR_SUPER_REDUCE_PRICE = &quot;00:59:59&quot; ;
	private static final String FINAL_HOUR_SUPER_REDUCE_PRICE = &quot;07:00:00&quot; ;
	@Override
	public double calculateCost(String hour, String duration, int targetTelephone) {
<span class="fc" id="L24">		double cost = 0;</span>
<span class="fc bfc" id="L25" title="All 2 branches covered.">		if (betweenTime.isBetweenTime(INITIAL_HOUR_NORMAL_PRICE, FINAL_HOUR_NORMAL_PRICE, hour)) {</span>
<span class="fc" id="L26">			cost = betweenTime.convertHourToSeconds(duration) * (NORMAL_PRICE/60);</span>
		}
<span class="fc bfc" id="L28" title="All 2 branches covered.">		if (betweenTime.isBetweenTime(INITIAL_HOUR_REDUCE_PRICE, FINAL_HOUR_REDUCE_PRICE, hour)) {</span>
<span class="fc" id="L29">			cost = betweenTime.convertHourToSeconds(duration) * (REDUCE_PRICE/60);</span>
		}
<span class="fc bfc" id="L31" title="All 2 branches covered.">		if (betweenTime.isBetweenTime(INITIAL_HOUR_SUPER_REDUCE_PRICE, FINAL_HOUR_SUPER_REDUCE_PRICE, hour)) {</span>
<span class="fc" id="L32">			cost = betweenTime.convertHourToSeconds(duration) * (SUPER_REDUCE_PRICE/60);</span>
		}
<span class="fc" id="L34">		cost = Math.round(cost * 100.0) / 100.0;</span>
<span class="fc" id="L35">		return cost;</span>
	}
	@Override
	public String getPlanType() {
<span class="fc" id="L39">		return &quot;PLAN_PREPAGO&quot;;</span>
	}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>